diff --git a/devel/qca-ossl/Portfile b/devel/qca-ossl/Portfile
index 84ad599..240d89e 100644
--- a/devel/qca-ossl/Portfile
+++ b/devel/qca-ossl/Portfile
@@ -6,7 +6,7 @@ PortGroup           qt4 1.0
 
 name                qca-ossl
 version             2.0.0-beta3
-revision            4
+revision            5
 categories          devel crypto security
 license             LGPL-2.1+
 maintainers         michaelld openmaintainer
@@ -60,7 +60,7 @@ post-patch {
 
 post-destroot {
     # fix library path of installed library/ies
-    foreach fixfile [exec find ${destroot}${qt_dir} -name "*.dylib" | \
+    foreach fixfile [exec find ${destroot}${qt_plugins_dir} -name "*.dylib" | \
                          sed -e "s@${destroot}@@g"] {
         system "install_name_tool -id ${fixfile} ${destroot}${fixfile}"
     }
diff --git a/devel/qca/Portfile b/devel/qca/Portfile
index c6a1a32..b6663e1 100644
--- a/devel/qca/Portfile
+++ b/devel/qca/Portfile
@@ -6,7 +6,7 @@ PortGroup           qt4 1.0
 
 name                qca
 version             2.0.3
-revision            1
+revision            2
 set branch          [join [lrange [split ${version} .] 0 1] .]
 categories          devel crypto security
 maintainers         michaelld openmaintainer
@@ -27,6 +27,10 @@ checksums            md5     fc15bd4da22b8096c51fcfe52d2fa309 \
                      sha1    9c868b05b81dce172c41b813de4de68554154c60 \
                      rmd160  333cfdce91fedfaec09c205528de52d7b569c521
 
+if {[info exists qt4_is_concurrent]} {
+    variant libsymlinks description {Allows existing Qt4 applications to function without rebuilding} {}
+}
+
 # (1) correct pkgconfig file for framework install, if selected.
 # (2) allow for 'debug' and 'framework' options at the same time.
 #     This change is needed to allow for +debug [+framework] --
@@ -59,6 +63,7 @@ configure.pre_args   --prefix=${qt_dir}
 # use variants to change everything except framework
 configure.args        --verbose         \
                       --qtdir=${qt_dir} \
+                      --includedir=${qt_includes_dir} \
                       --release         \
                       --no-framework
 
@@ -90,6 +95,13 @@ post-destroot {
     xinstall -d -m 755 ${destroot}${qt_cmake_module_dir}
     xinstall -m 644 -W ${filespath} FindQCA2.cmake \
         ${destroot}${qt_cmake_module_dir}
+    if {[info exists qt4_is_concurrent]} {
+        # is there an official way to test if a port has been installed, qt4-mac-transitional in this case?
+        if {[file exists ${prefix}/lib/libQtCore.4.dylib]} {
+            ln -s ${qt_libs_dir}/libqca.2.dylib ${destroot}${prefix}/lib
+        }
+        move ${destroot}${qt_libs_dir}/pkgconfig/qca2.pc ${destroot}/${qt_pkg_config_dir}
+    }
 }
 
 variant debug description \
